# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.6)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.20)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget migraphx::migraphx migraphx::c migraphx::onnx migraphx::tf migraphx::migraphx_py_3.8 migraphx::migraphx_py_3.10 migraphx::ref migraphx::gpu migraphx::device migraphx::compile_for_gpu)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target migraphx::migraphx
add_library(migraphx::migraphx SHARED IMPORTED)

set_target_properties(migraphx::migraphx PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "HAS_HALF_V1"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads"
)

# Create imported target migraphx::c
add_library(migraphx::c SHARED IMPORTED)

set_target_properties(migraphx::c PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target migraphx::onnx
add_library(migraphx::onnx SHARED IMPORTED)

set_target_properties(migraphx::onnx PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "migraphx::migraphx"
)

# Create imported target migraphx::tf
add_library(migraphx::tf SHARED IMPORTED)

set_target_properties(migraphx::tf PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "migraphx::migraphx"
)

# Create imported target migraphx::migraphx_py_3.8
add_library(migraphx::migraphx_py_3.8 MODULE IMPORTED)

set_target_properties(migraphx::migraphx_py_3.8 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target migraphx::migraphx_py_3.10
add_library(migraphx::migraphx_py_3.10 MODULE IMPORTED)

set_target_properties(migraphx::migraphx_py_3.10 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target migraphx::ref
add_library(migraphx::ref SHARED IMPORTED)

set_target_properties(migraphx::ref PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "migraphx::migraphx;Threads::Threads"
)

# Create imported target migraphx::gpu
add_library(migraphx::gpu SHARED IMPORTED)

set_target_properties(migraphx::gpu PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "MIGRAPHX_HAS_FIND_2_API;MIGRAPHX_HAS_FIND_MODE_API;__HIP_PLATFORM_HCC__=1"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "migraphx::migraphx;MIOpen;roc::rocblas"
)

# Create imported target migraphx::device
add_library(migraphx::device SHARED IMPORTED)

set_target_properties(migraphx::device PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "migraphx::migraphx"
)

# Create imported target migraphx::compile_for_gpu
add_library(migraphx::compile_for_gpu INTERFACE IMPORTED)

set_target_properties(migraphx::compile_for_gpu PROPERTIES
  INTERFACE_COMPILE_OPTIONS "-std=c++17;-fno-gpu-rdc;-Wno-cuda-compat;-Wno-unused-command-line-argument;-Xclang;-fallow-half-arguments-and-returns"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "hip::device;-fno-gpu-rdc;-Wno-invalid-command-line-argument;-Wno-unused-command-line-argument;-Wno-option-ignored"
)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/migraphx-targets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
